Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Class DataChannelDescriptor

    java.lang.Object
      org.apache.cayenne.configuration.DataChannelDescriptor

All Implemented Interfaces:
  java.io.Serializable, ConfigurationNode, XMLSerializable

    public class DataChannelDescriptor

extends java.lang.Object
implements ConfigurationNode, java.io.Serializable, XMLSerializable

A descriptor of a DataChannel normally loaded from XML configuration.

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`protected Resource` | `configurationSource`
`protected java.util.Collection<DataMap>` | `dataMaps`
`protected java.lang.String` | `defaultNodeName`
`protected java.lang.String` | `name`
`protected java.util.Collection<DataNodeDescriptor>` | `nodeDescriptors`
`protected java.util.Map<java.lang.String,java.lang.String>` | `properties`

Constructor Summary
`DataChannelDescriptor()`

Method Summary
`
`<T> T`
` | `acceptVisitor(ConfigurationNodeVisitor<T> visitor)`
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`Resource` | `getConfigurationSource()`
`DataMap` | `getDataMap(java.lang.String name)`
`java.util.Collection<DataMap>` | `getDataMaps()`
`java.lang.String` | `getDefaultNodeName()` Returns the name of the DataNode that should be used as the default if a DataMap is not explicitly linked to a node.
`java.lang.String` | `getName()`
`DataNodeDescriptor` | `getNodeDescriptor(java.lang.String name)`
`java.util.Collection<DataNodeDescriptor>` | `getNodeDescriptors()`
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
`void` | `setConfigurationSource(Resource configurationSource)`
`void` | `setDefaultNodeName(java.lang.String defaultDataNodeName)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### properties

    protected java.util.Map<java.lang.String,java.lang.String> properties

### dataMaps

    protected java.util.Collection<DataMap> dataMaps

### nodeDescriptors

    protected java.util.Collection<DataNodeDescriptor> nodeDescriptors

### configurationSource

    protected Resource configurationSource

### defaultNodeName

    protected java.lang.String defaultNodeName

Constructor Detail

### DataChannelDescriptor

    public DataChannelDescriptor()

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### acceptVisitor

    public <T> T acceptVisitor(ConfigurationNodeVisitor<T> visitor)

  Specified by:
    `acceptVisitor` in interface `ConfigurationNode`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

### getDataMaps

    public java.util.Collection<DataMap> getDataMaps()

### getDataMap

    public DataMap getDataMap(java.lang.String name)

### getNodeDescriptors

    public java.util.Collection<DataNodeDescriptor> getNodeDescriptors()

### getNodeDescriptor

    public DataNodeDescriptor getNodeDescriptor(java.lang.String name)

### getConfigurationSource

    public Resource getConfigurationSource()

### setConfigurationSource

    public void setConfigurationSource(Resource configurationSource)

### getDefaultNodeName

    public java.lang.String getDefaultNodeName()

  Returns the name of the DataNode that should be used as the default if a DataMap is not explicitly linked to a node.

### setDefaultNodeName

    public void setDefaultNodeName(java.lang.String defaultDataNodeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.